Revert a snapshot for a volume
Reverts a snapshot for a volume, restoring the snapshot as the read-write parent volume for the volume family. Use this to replace the current working copy of the volume with the snapshot, removing all changes made since the snapshot was created.
HTTP method and endpoint
POST /account/{accountId}/providers/cloudmanager_cbs/api/v1/revert/working-environment/{workingEnvironmentId}/volume/{volumeId}
Token usage
NetApp Console user token.
Usage notes
It restores a snapshot to be the read-write parent volume for the volume family. This replaces the current working copy of the volume with the snapshot that results in a loss of all changes made since the snapshot was created. The system ID and volume ID are passed as parameters in the API REST call and the required snapshot to which the volume needs to restored to should be sent in the input body of the REST API.
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
accountId |
string |
path |
True |
Account ID |
workingEnvironmentId |
string |
path |
True |
System ID |
volumeId |
string |
path |
True |
Volume ID |
authorization |
string |
header |
True |
User token |
X-Agent-Id |
string |
header |
True |
Request identifier |
Request Body
| Name | Type | Required | Description |
|---|---|---|---|
snapshot-name |
string |
True |
Example request
{
"snapshot-name": "string"
}
Response
Status: 202, Default response
| Name | Type | Required | Description |
|---|---|---|---|
job-id |
string |
False |
Example response
{
"job-id": "string"
}